package com.ruoyi.rc.service.impl;

import java.util.List;

import com.ruoyi.common.annotation.DataScope;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.rc.mapper.TAuditMapper;
import com.ruoyi.rc.domain.TAudit;
import com.ruoyi.rc.service.ITAuditService;

/**
 * 审计记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-07-19
 */
@Service
public class TAuditServiceImpl implements ITAuditService 
{
    @Autowired
    private TAuditMapper tAuditMapper;

    /**
     * 查询审计记录
     * 
     * @param id 审计记录主键
     * @return 审计记录
     */
    @Override
    public TAudit selectTAuditById(Long id)
    {
        return tAuditMapper.selectTAuditById(id);
    }

    /**
     * 查询审计记录列表
     * 
     * @param tAudit 审计记录
     * @return 审计记录
     */
    @Override
    @DataScope(deptAlias = "d")
    public List<TAudit> selectTAuditList(TAudit tAudit)
    {
        return tAuditMapper.selectTAuditList(tAudit);
    }

    public TAudit selectTAuditLatest(TAudit tAudit)
    {
        return tAuditMapper.selectTAuditLatest(tAudit);
    }

    /**
     * 新增审计记录
     * 
     * @param tAudit 审计记录
     * @return 结果
     */
    @Override
    public int insertTAudit(TAudit tAudit)
    {
        return tAuditMapper.insertTAudit(tAudit);
    }

    /**
     * 修改审计记录
     * 
     * @param tAudit 审计记录
     * @return 结果
     */
    @Override
    public int updateTAudit(TAudit tAudit)
    {
        return tAuditMapper.updateTAudit(tAudit);
    }

    /**
     * 批量删除审计记录
     * 
     * @param ids 需要删除的审计记录主键
     * @return 结果
     */
    @Override
    public int deleteTAuditByIds(Long[] ids)
    {
        return tAuditMapper.deleteTAuditByIds(ids);
    }

    /**
     * 删除审计记录信息
     * 
     * @param id 审计记录主键
     * @return 结果
     */
    @Override
    public int deleteTAuditById(Long id)
    {
        return tAuditMapper.deleteTAuditById(id);
    }
}
